=== packages/taler-wallet-cli/debian/changelog ===
taler-wallet-cli (0.9.0) unstable; urgency=low

  * Official 0.9.0 release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 5 Nov 2022 12:47:15 -0300

taler-wallet-cli (0.8.99) unstable; urgency=low

  * Preview for 0.9 wallet.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Jun 2022 12:47:15 -0300

taler-wallet-cli (0.8.3) unstable; urgency=low

  * Official 0.8.3 release.

 -- Sebastian Marchano <sebasjm@gmail.com>  Fri, 26 Nov 2021 12:47:15 -0300

taler-wallet-cli (0.8.2) unstable; urgency=low

  * Official 0.8.2 release.

 -- Florian Dold <dold@taler.net>  Tue, 24 Aug 2021 15:47:15 +0200

taler-wallet-cli (0.0.1-6) unstable; urgency=low

  * Fix deposit tracking.

 -- Florian Dold <dold@taler.net>  Sat, 07 Aug 2021 17:40:08 +0200

taler-wallet-cli (0.0.1-5) unstable; urgency=low

  * Performance improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 17:16:18 +0200

taler-wallet-cli (0.0.1-4) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 11:58:34 +0200

taler-wallet-cli (0.0.1-3) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Thu, 05 Aug 2021 00:02:33 +0200

taler-wallet-cli (0.0.1-2) unstable; urgency=low

  * Improved denomination generator.

 -- Florian Dold <dold@taler.net>  Wed, 04 Aug 2021 23:26:17 +0200

taler-wallet-cli (0.0.1-1) unstable; urgency=low

  * Added exchange deployment linting tool.

 -- Florian Dold <dold@taler.net>  Wed, 04 Aug 2021 23:05:47 +0200

taler-wallet-cli (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Florian Dold <dold@taler.net>  Sun, 14 Jul 2021 15:00:00 +0100

Local variables:
mode: debian-changelog
End:
